#!/bin/bash

# Print the word hello multiple times alongside a neat pattern.
#
# INPUTS
#	1 - The number of times to print 'hello' (not more than 50!)
#	2 - The word to repeat (defaults to Hello!)
#
# OUTPUTS
# 	Just to standard output (screen)
#
# By Michael Stobb
# 2/12/17


# Assign number of times to print
numPrint=${1:-20}

# Assign word to print
printWord=${2:-"Hello!"}

# Check to see if it's too big
if (( $numPrint > 50 ))
then
	numPrint=50;
fi

# Set halfway point
halfWay=$(echo "$numPrint/2" | bc)

# Initialize a counter
count=1

# Print starting pattern
echo "#########################"

# Loop from 1 to numPrint
for i in $(seq 1 $numPrint)
do
	# First echo 'Hello!'
	echo -n "$printWord  ";

	# Second echo pattern
	for j in $(seq 1 $count)
	do
		echo -n "#";
	done

	# Either increment or decrement count,
	# depending on whether it's made it
	# halfway or not
	if (( $i < $halfWay ))
	then
		let count=$count+1;
	else
		let count=$count-1;
	fi

	# Make sure that count is not negative!
	if (( $count < 1 ))
	then
		count=1;
	fi	

	# Echo to get a newline
	echo "";
done

# Print ending pattern
echo "#########################"

